com.unitech.stuhflBridge

## Class BR_Gb29768_Inventory.Fields

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Gb29768_Inventory.Fields

- Enclosing class:
    BR_Gb29768_Inventory

      protected class BR_Gb29768_Inventory.Fields
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `inventoryDelay`
    `IRunnerListener` | `listener`
    `int` | `reportOptions`
    `long` | `roundCnt`
    `int` | `rssiMode`
    `int` | `tagListSizeMax`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fields(int rssiMode, long roundCnt, int inventoryDelay, int reportOptions, IRunnerListener listener, int tagListSizeMax)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_cycle()`
    `void` | `_finished()`
    `void` | `_newStatistics(long timestamp, long roundCnt, short tuningStatus, short rssiLogMean, byte sensitivity, short Q, long frequency, int adc, long tagCnt, long emptySlotCnt, long collisionCnt, long skipCnt, long preambleErrCnt, long crcErrCnt, long headerErrCnt, long rxCountErrCnt)`
    `void` | `_tagListAdd(long timestamp, short antenna, short agc, short rssiLogI, short rssiLogQ, byte rssiLinI, byte rssiLinQ, byte[] pc, byte[] xpc, byte[] epc, byte[] tid)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rssiMode

          public int rssiMode

    - #### roundCnt

          public long roundCnt

    - #### inventoryDelay

          public int inventoryDelay

    - #### reportOptions

          public int reportOptions

    - #### tagListSizeMax

          public int tagListSizeMax

    - #### listener

          public IRunnerListener listener

  - ### Constructor Detail

    - #### Fields

          public Fields(int rssiMode,
                        long roundCnt,
                        int inventoryDelay,
                        int reportOptions,
                        IRunnerListener listener,
                        int tagListSizeMax)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### _newStatistics

          public void _newStatistics(long timestamp,
                                     long roundCnt,
                                     short tuningStatus,
                                     short rssiLogMean,
                                     byte sensitivity,
                                     short Q,
                                     long frequency,
                                     int adc,
                                     long tagCnt,
                                     long emptySlotCnt,
                                     long collisionCnt,
                                     long skipCnt,
                                     long preambleErrCnt,
                                     long crcErrCnt,
                                     long headerErrCnt,
                                     long rxCountErrCnt)

    - #### _tagListAdd

          public void _tagListAdd(long timestamp,
                                  short antenna,
                                  short agc,
                                  short rssiLogI,
                                  short rssiLogQ,
                                  byte rssiLinI,
                                  byte rssiLinQ,
                                  byte[] pc,
                                  byte[] xpc,
                                  byte[] epc,
                                  byte[] tid)

    - #### _cycle

          public void _cycle()

    - #### _finished

          public void _finished()